/**
 * Section
 */
.section-intro {
	margin-top: 0;
	margin-bottom: 0;
}

.section-intro .intro__title-container {
	max-width: 920px;
}

.intro-banner {
	position: relative;
	display: block;
	height: 94vh;
	padding: 0;
	z-index: 1;
	background-color: var(--color-dark);
	overflow: hidden;
}

@media screen and (max-width: 480px) {
	.intro-banner {
		height: 90vh;
	}
}

.intro__image,
.intro__mask,
.intro__preloader {
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	overflow: hidden;	
}

.intro__image img {
	width: 100%;
	height: 100%;
	display: block;
	overflow: hidden;
	object-fit: cover;
	object-position: center center;
}

.intro__mask {
	position: absolute;
	bottom: 0;
	left: 0;
	width: 100%;
	height: 100%;
	z-index: 1;
	background-color: var(--image-mask-50);
}


.intro__mask::before,
.intro__mask::after {
	content: "";
	position: absolute;
	left: 0;
	height: 40%;
	width: 100%;
	display: block;
}

.intro__mask::before {
	top: 0;
	height: 30%;
	background-image: var(--image-mask-top-50);
}

.intro__mask::after {
	bottom: 0;
	background-image: var(--image-mask-bottom-50);
}


.intro__preloader {
	opacity: 1;
	z-index: 3;
	background-color: var(--color-dark);
	transition: all .6s ease;
}

.intro__preloader.complete {
	opacity: 0;
}

.intro__text {
	position: relative;
	height: 100%;
}

.intro__text .container {
	height: 100%;
}

.intro__title-container {
	display: grid;
	align-items: end;
	justify-content: start;
	height: 100%;
	padding-bottom: 6vh;
}

.intro__title {
	position: relative;
	display: block;
	margin-bottom: 20px;
	z-index: 1;
	color: var(--color-white);
}

.intro__title-small {
	margin-bottom: 20px;
}

.intro__title-decor {
	color: var(--color-link);
}

.intro__title-default {
	color: var(--color-white);
}

.intro__title-inner {
	position: relative;
}

.intro__copy {
	display: grid;
	font-size: 1.125em;
	color: var(--color-white);
	white-space: pre-wrap;
	line-height: 20px;
}

@media screen and (max-width: 767px) {
	.intro__copy {
		font-size: 1em;
	}
}

.intro .content-animate {
	display: block;
	position: relative;
	opacity: 0;
	-webkit-backface-visibility: hidden;
	backface-visibility: hidden;
	transition: all 0.6s ease;
	transform: translateX(75px);
}

.intro .content-animate.slide-in {
	opacity: 1;
	transform: translateX(0px);
}

/* slideshow */
.intro-slider-wrap {
	position: absolute;
	top: 0;
	left: 0;
	height: 100%;
	width: 100%;
	z-index: -1;
}
  
.intro-slider {
	position: relative;
	width: 100%;
	height: 100%;
}

.intro-slider__counter {
	position: absolute;
	bottom: 50px;
	left: 50px;
	font-size: 3rem;
	font-family: var(--heading-font);
	color: var(--color-white-60);
	z-index: 100;
}

.intro-slider__item {
	position: absolute;
	top: 0;
	right: 0;
	left: 0;
	width: 100%;
	height: 100%;
	text-align: center;
	opacity: 0;
	visibility: hidden;
	transition: all 1.8s linear;
}

.intro-slider__item.active {
	display: block;
	position: relative;
	opacity: 1;
	visibility: visible;

}

.intro-slider__item .intro__image {
	transform-origin: 50% 50%;
}

.intro-slider__item.active .intro__image {
	animation: image-rotate-ine;
	animation-duration: 2.2s;
	animation-timing-function: cubic-bezier(.17,.84,.44,1);
	animation-fill-mode: both;
}

@keyframes image-rotate-ine {
	0% {
		transform: scale(1.34);
	}

	100% {
		transform: scale(1.0);
	}
}

@keyframes image-rotate-out {
	0% {
		transform: scale(1);
	}

	100% {
		transform: scale(0.9);
	}
}

/* dots */
.intro-slider__dots {
	position: absolute;
	right: var(--container-gap);
	bottom: 6vh;
	z-index: 1000;
	display: grid;
	grid-auto-flow: row;
	align-items: end;
	padding: 0;
	margin-right: -20px;
}

.intro-slider__dot {
	position: relative;
	display: grid;
	justify-items: center;
	align-items: start;
	width: 40px;
	height: 45px;
	padding: 0;
	margin: 0 0 2px;
	background: transparent;
	border-radius: 0;
	opacity: 1;
	cursor: pointer;
	color: transparent;
}

.intro-slider__dot:focus,
.intro-slider__dot:hover {
	box-shadow: none;
	background: transparent;
}

.intro-slider__dot::before,
.intro-slider__dot::after {
	content: "";
	position: absolute;
	left: 50%;
	top: 0;
	vertical-align: middle;
	width: 1px;
	height: 0%;
	border-radius: 0;
	border-right: 1px solid var(--color-extra-light);
	transform: translateX(-50%);
	transition: all var(--ease-base);
}

.intro-slider__dot::after {
	height: 100%;
}

.intro-slider__dot:hover::after {
	border-color: var(--color-white-50);	
}

.intro-slider__dot.active::before {
	height: 100%;
	border-color: var(--color-white-90);
}

@media screen and (max-width: 767px) {
	.intro-slider__dot {
		height: 25px;
	}
}

.intro-slider__nav {
	display: flex;
	position: absolute;
	top: calc(50% - 40px);
	left: 0;
	right: 0;
	z-index: 9999;
	font-size: 2rem;
	line-height: 1;
	user-select: none;
	display: none;
}

.intro-slider__next,
.intro-slider__previous {
	cursor: pointer;
	padding: 10px;
}

.intro-slider__next {
	margin-left: auto;
}

.intro-slider__previous {
	margin-right: auto;
}
